<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Base;
use App\Http\Controllers\Controller;
use App\Services\Interface\PostCardInterface;
use Illuminate\Http\Request;

class PostCardController extends Controller
{

    private $postCardInterface;

    public function __construct(PostCardInterface $postCardInterface)
    {
        $this->postCardInterface = $postCardInterface;
    }

    public function filter(Request $request)
    {
        // return $request;
        $data = $this->postCardInterface->filter(null,$request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
    
    public function show(Request $request)
    {
        $data = $this->postCardInterface->adminPostCardShow($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
}
