<?php

namespace App\Http\Controllers;

use App\Services\Interface\ContactUsInterface;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class ContactUsController extends Controller
{
    public function add(ContactUsInterface $i_contact_us, Request $request) {
        try {
            $validator =  Validator::make($request->all(), [
                'name' => 'required',
                'email' => 'required',
                'message' => 'required',
            ]);
            if ($validator->fails()) return Base::validation($validator);

            $inputs = $request->all();

            $res = $i_contact_us->add($inputs);
            if(!$res->success) return Base::error($res->message);

            return Base::success('Contact us form submitted', $res->data); // DONE
        } catch (Exception $e) {
            return Base::exception($e);
        }
    }
}
