<?php

namespace App\Http\Controllers\Customer;

use App\Http\Controllers\Base;
use App\Http\Controllers\Controller;
use App\Http\Requests\ToggleFavCardRequest;
use App\Services\Interface\FavoriteCardInterface;
use Exception;
use Illuminate\Http\Request;

class FavoriteController extends Controller
{
    //
    private FavoriteCardInterface $favCardRepository;

    public function __construct(FavoriteCardInterface $favCardRepository)
    {
        $this->favCardRepository = $favCardRepository;
    }

    public function index()
    {
        try {
            $data = $this->favCardRepository->index();
            return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
        } catch (Exception $e) {
            return Base::exception($e);
        }
    }

    public function toggleFavCard(ToggleFavCardRequest $request){
        try {
            $data = $this->favCardRepository->toggle($request);
            return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
        } catch (Exception $e) {
            return Base::exception($e);
        }
    }
    
}
