<?php

namespace App\Http\Middleware;

use App\Http\Controllers\Base;
use Closure;
use Illuminate\Http\Request;

class RoleMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next, $roles)
    {
        $roles = explode("|", $roles);

        if(!auth()->check()) {
            return Base::error("You are not logged in!");
        }

        if(!auth()->user()->is_verified) {
            return Base::error("Please verify your account!", [], "not_verified"); 
        }
        
        if(in_array(auth()->user()->role, $roles)) {
            return $next($request);
        }

        return Base::error("Unauthorized!");
    }
}
