<?php

namespace App\Http\Requests;

use App\Http\Controllers\Base;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class AddAddressBookRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            "name" => "required",
            "phone" => "required",
            "post_code" => "required",
            "address" => "required",
            "city" => "required",
            "type" => "required|in:home,office,others",
        ];
    }
    
    public function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(Base::validation($validator));
        // return Base::validation($validator);
    }

    public function messages()
    {
        return [
            "name.required" => "Address name is required",
            "phone.required" => "Address phone number required",
            "post_code.required" => "Address post code required",
            "address.required" => "Address is required",
            "city.required" => "City is required",
            "type.required" => "Type is required",
            // "name.unique" => "This category already exist"
        ];
    }
}
