<?php

namespace App\Http\Requests;

use App\Http\Controllers\Base;
use Illuminate\Foundation\Http\FormRequest;
// use Illuminate\Support\Facades\Validator;

use Illuminate\Http\Exceptions\HttpResponseException;
use Illuminate\Contracts\Validation\Validator;

class AddCategoryRequest extends FormRequest
{
    // /**
    //  * Determine if the user is authorized to make this request.
    //  *
    //  * @return bool
    //  */
    // public function authorize()
    // {
    //     return true;
    // }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            //
            "name" => "required|unique:categories,name"
            // "image" => "file"
        ];
    }
    public function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(Base::validation($validator));
        // return Base::validation($validator);
    }

    public function messages()
    {
        return [
            "name.required" => "Category name is required",
            "name.unique" => "This category already exist"
        ];
    }

    
}
