<?php

namespace App\Http\Requests;

use App\Http\Controllers\Base;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class OrderAction extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            //
            "id" => "required",
            "action" => "required|in:pending,processing,completed,rejected,canceled"
            // "image" => "file"
        ];
    }
    public function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(Base::validation($validator));
        // return Base::validation($validator);
    }

    public function messages()
    {
        return [
            "id.required" => "Order id is required",
            "action.in" => "Select proper action type.",
            "action.required" => "Action type is required."
        ];
    }
}
