<?php

namespace App\Providers;

use App\Services\Interface\AddressBookInterface;
use App\Services\Interface\CategoryInterface;
use App\Services\Interface\ContactInterface;
use App\Services\Interface\ContactUsInterface;
use App\Services\Interface\FaqInterface;
use App\Services\Interface\OrderInterface;
use App\Services\Interface\PostCardInterface;
use App\Services\Interface\ShopInterface;
use App\Services\Interface\TestInterface;
use App\Services\Interface\UserInterface;
use App\Services\Interface\FavoriteCardInterface;
use App\Services\Interface\NotificationInterface;
use App\Services\Interface\SettingsInterface;
use App\Services\Interface\ShopBoostedInterface;
use App\Services\Interface\TCandPrivacyInterface;
use App\Services\Interface\VoucherInterface;
use App\Services\Repositories\AddressBookRepository;
use App\Services\Repositories\CategoryRepository;
use App\Services\Repositories\ContactRepository;
use App\Services\Repositories\ContactUsRepository;
use App\Services\Repositories\FaqRepository;
use App\Services\Repositories\OrderRepository;
use App\Services\Repositories\PostCardRepository;
use App\Services\Repositories\ShopRepository;
use App\Services\Repositories\TestRepository;
use App\Services\Repositories\UserRepository;
use App\Services\Repositories\FavoriteCardRepository;
use App\Services\Repositories\NotificationRepository;
use App\Services\Repositories\SettingsRepository;
use App\Services\Repositories\ShopBoostedRepository;
use App\Services\Repositories\TCandPrivacyRepository;
use App\Services\Repositories\VoucherRepository;
use Illuminate\Support\ServiceProvider;

class RepositoryServiceProvider extends ServiceProvider
{

    //* Here we Bind all the repository with the interface

    /**
     * All of the container bindings that should be registered.
     *
     * @var array
     */
    public $bindings = [
        // ServerProvider::class => DigitalOceanServerProvider::class,
        TestInterface::class => TestRepository::class,
        UserInterface::class => UserRepository::class,
        PostCardInterface::class => PostCardRepository::class,
        ContactInterface::class => ContactRepository::class,
        ShopInterface::class => ShopRepository::class,
        OrderInterface::class => OrderRepository::class,
        ContactUsInterface::class => ContactUsRepository::class,
        CategoryInterface::class => CategoryRepository::class,
        FavoriteCardInterface::class => FavoriteCardRepository::class,
        AddressBookInterface::class => AddressBookRepository::class,
        NotificationInterface::class => NotificationRepository::class,
        ShopBoostedInterface::class => ShopBoostedRepository::class,
        VoucherInterface::class => VoucherRepository::class,
        FaqInterface::class => FaqRepository::class,
        TCandPrivacyInterface::class => TCandPrivacyRepository::class,
        SettingsInterface::class => SettingsRepository::class,
    ];
}
