<?php

namespace App\Services\Interface;

use App\Http\Requests\TogglePushOrEmailNotificationRequest;
use Illuminate\Http\Request;

interface UserInterface
{
    public function login($credentials, $role);
    public function createUser($data);
    public function socialLogin($data);
    public function createShop($user_id);
    public function sendOtp($user);
    public function getUserProfile();
    public function updateUser($user, $data);
    public function updatePassword($user, $password);
    public function updateLanguage($user, $code);
    public function togglePushNotification($user);
    public function toggleEmailNotification($data);
    public function togglePushOrEmailNotification(TogglePushOrEmailNotificationRequest $request);
    public function delete($user);
    public function deleteText();
    public function adminCustomerIndex($data);
    public function adminCustomerFilter($data);
    public function adminCustomerChangePassword(Request $data);
    public function adminCustomerShow($data);
    public function adminStatusToggle($data);
    public function adminVidStatusToggle($data);
    public function adminUserUpdate($data);
    public function adminAddCustomer($data);
    public function vIDVerify($data);
    public function vIDVerifyInfo($data);
}
