<?php

namespace App\Services\Repositories;

use App\Http\Controllers\Base;
use App\Models\Setting;
use App\Services\Interface\SettingsInterface;
use Exception;

class SettingsRepository implements SettingsInterface

{
    public function getFees()
    {
        try{
            //Code will be here
            $auth_fee = Setting::where('type', 'auth_fee')->first(['type','value']);
            $ship_fee = Setting::where('type', 'ship_fee')->first(['type','value']);

            if(!$auth_fee) $auth_fee = [];
            if(!$ship_fee) $ship_fee = [];

            $data = [
                "auth_fee" => $auth_fee,
                "ship_fee" => $ship_fee
            ];

            return Base::pass("All fees", $data); // DONE
        }
        catch(Exception $e){
            return Base::exception_fail($e);
        }
    }

    public function updateFees($request)
    {
        try{
            $fees = Setting::updateOrCreate(
                ['type' => $request['type']],
                ['value' => $request['value']]
            );

            return Base::pass("Data updated", $fees); // DONE
        }
        catch(Exception $e){
            return Base::exception_fail($e);
        }
    }
}