<?php

namespace App\Traits;

use App\Http\Controllers\Base;
use App\Models\Voucher;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;
// use Intervention\Image\ImageManagerStatic as Image;
Use Image;

trait GlobalTrait
{
    // public function generateSlug($string)
    // {
    //     return strtolower(preg_replace(
    //         ['/[^\w\s]+/', '/\s+/'],
    //         ['', '-'],
    //         $string
    //     ));
    // }

    // public function getTestExample()
    // {
    //     return 'This is test trait example.';
    // }

    public static function imageUpload($image, $model)
    {
        $uuid = (string) Str::uuid();
        $image = $image; // image base64 encoded
        preg_match("/data:image\/(.*?);/",
            $image,
            $image_extension
        ); // extract the image extension
        $image = preg_replace('/data:image\/(.*?);base64,/', '',
            $image
        ); // remove the type part
        $image = str_replace(' ', '+', $image);
        $imageName = $model . '_' . time() . '_' . $uuid . '.' . $image_extension[1]; //generating unique file name;
        $file = base64_decode($image);

        $imageFile = Image::make($file);

        $imageFile->resize(512, 512, function ($constraint) {
            $constraint->aspectRatio();
        });

        // $imageFile->save('/images/' . $model . '/' . $imageName);

        $newPath = public_path() . '/images/' . $model;
        if (!file_exists($newPath)) {
            mkdir($newPath, 0755,true);
        }

        $imageFile->save(public_path() . '/images/' . $model . '/' . $imageName);

        return 'images/' . $model . '/' . $imageName;
    }

    public static function orderImageUpload($image, $model, $order_id)
    {
        $now = Base::now()->format('Y-m-d');
        $uuid = (string) Str::uuid();
        $image = $image; // image base64 encoded
        preg_match("/data:image\/(.*?);/",
            $image,
            $image_extension
        ); // extract the image extension
        $image = preg_replace('/data:image\/(.*?);base64,/', '',
            $image
        ); // remove the type part
        $image = str_replace(' ', '+', $image);
        $imageName = $now . '_' . $order_id . '.' . $image_extension[1]; //generating unique file name;
        $file = base64_decode($image);

        $imageFile = Image::make($file);

        $imageFile->resize(512, 512, function ($constraint) {
            $constraint->aspectRatio();
        });

        // $imageFile->save('/images/' . $model . '/' . $imageName);

        $newPath = public_path() . '/images/' . $model;
        if (!file_exists($newPath)) {
            mkdir($newPath, 0755,true);
        }

        $imageFile->save(public_path() . '/images/' . $model . '/'. $imageName);

        return 'images/' . $model . '/'. $imageName;
    }

    public static function imageUploadID($image, $model,$id)
    {
        $uuid = (string) Str::uuid();
        $image = $image; // image base64 encoded
        preg_match("/data:image\/(.*?);/",
            $image,
            $image_extension
        ); // extract the image extension
        $image = preg_replace('/data:image\/(.*?);base64,/', '',
            $image
        ); // remove the type part
        $image = str_replace(' ', '+', $image);
        $imageName = $model . '_' . time() . '_' . $uuid . '.' . $image_extension[1]; //generating unique file name;
        $file = base64_decode($image);

        $imageFile = Image::make($file);

        $imageFile->resize(300, 300, function ($constraint) {
            $constraint->aspectRatio();
        });

        // $imageFile->save('/images/' . $model . '/' . $imageName);

        $newPath = public_path() . '/images/' . $model . '/' . $id;
        if (!file_exists($newPath)) {
            mkdir($newPath, 0755,true);
        }

        $imageFile->save(public_path() . '/images/' . $model . '/'.$id.'/' . $imageName);

        return 'images/' . $model . '/'.$id.'/' . $imageName;
    }

    public static function generateVoucherCode()
    {
        $str_result = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
        $random = substr(str_shuffle($str_result), 0, 6);

        $found_duplicate = Voucher::where('voucher_code', $random)->first();
        if ($found_duplicate) GlobalTrait::generateVoucherCode();

        return $random;
    }

    public static function translate($text_slug)
    {
        $user = Auth::user() ?? Auth::guard("api")->user();

        if ($user) $lang_code = $user->lang_code;
        else $lang_code = 'en';

        App::setLocale($lang_code);
        // $translated = trans($text_slug);
        $translated = __('lang.'.$text_slug);
        // $translated = $text_slug;

        return $translated;
    }

    

}
