<?php

use App\Http\Controllers\ContactController;
use App\Http\Controllers\Customer\AddressBookController;
use App\Http\Controllers\TestController;
use App\Http\Controllers\Customer\FavoriteController;
use App\Http\Controllers\OrderController;
use Illuminate\Support\Facades\Route;


//! check RouteServerProvider.php for more info

Route::prefix('favorite-cards')->controller(FavoriteController::class)->group(function(){
    Route::get('index', 'index');
    Route::post('toggle', 'toggleFavCard');
});
Route::prefix('address-books')->controller(AddressBookController::class)->group(function(){
    Route::get('index', 'index');
    Route::post('add', 'add');
    Route::post('update', 'update');
    Route::post('delete', 'delete');
    // Route::post('toggle', 'toggleFavCard');
});

Route::group(['prefix' => 'order'], function () {
    Route::any('/index', [OrderController::class, 'index']);
    Route::post('/add', [OrderController::class, 'add']);
    Route::post('/confirm-payment', [OrderController::class, 'confirmPayment']);
    Route::post('/stripe-payment-intent', [OrderController::class, 'createPaymentIntent']);

    Route::group(['prefix' => 'feedback'], function () {
        Route::post('/add', [OrderController::class, 'addFeedback']);
    });

    Route::group(['prefix' => 'history'], function () {
        Route::any('/index', [OrderController::class, 'orderHistory']);
        Route::post('/filter', [OrderController::class, 'orderHistoryFilter']);
        Route::post('/show', [OrderController::class, 'orderHistoryShow']);
    });
});

// Route::group(['prefix' => 'contacts'], function () {
//     Route::any('/index', [ContactController::class, 'index']);
//     Route::get('/show', [ContactController::class, 'show']);
//     Route::post('/add', [ContactController::class, 'add']);
//     Route::post('/update', [ContactController::class, 'update']);
//     Route::post('/delete', [ContactController::class, 'delete']);
// });