<?php

use App\Http\Controllers\PostCardController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\Shop\ShopController;
use App\Http\Controllers\TestController;
use Illuminate\Support\Facades\Route;



//! check RouteServerProvider.php for more info
Route::get('dashboard', [ShopController::class, 'getDashboard']);

// ========================
// Post Card
// ========================
Route::group(['prefix' => 'post-card'], function () {
    Route::any('/index', [PostCardController::class, 'index']);
    Route::get('/show', [PostCardController::class, 'show']);
    Route::post('/add', [PostCardController::class, 'add']);
    Route::post('/update', [PostCardController::class, 'update']);
    Route::post('/delete', [PostCardController::class, 'delete']);
});

//! old one
// Route::group(['prefix' => 'orders'], function(){
//     Route::get('index', [OrderController::class, 'index']);
//     Route::post('show', [OrderController::class, 'orderShow']);
//     Route::post('action', [OrderController::class, 'orderAction']);
// });

Route::group(['prefix' => 'orders'], function () {
    Route::post('filter', [OrderController::class, 'orderHistoryFilter']);
    Route::post('show', [OrderController::class, 'orderHistoryShow']);
    Route::post('action', [OrderController::class, 'orderAction']);
});